package com.algomagic.atn;

import att.grappa.*;

public class ElementAttribute {
    private Element _e;
    private String _attr;
    private Object _value;
    private Object _undoValue;

    public ElementAttribute( Element e, String attr, Object value, Object undoValue ) {
	_e = e;
	_attr = attr;
	_value = value;
	_undoValue = undoValue;
    }

    public void apply( ) {
	_e.setAttribute( _attr, _value );
    }
	
    public void undo( ) {
	_e.setAttribute( _attr, _undoValue );
    }


    public String toString( ) {
	return _e + " : " + _attr + " : " + _value + " : " + _undoValue;
    }

}
